.serial-number .general-content {
  min-height: 70vh;
  padding-top: 1rem;
}

.serial-number .top-content {
  margin-bottom: 1.5rem;
}

/* list + exchange */
.serial-number .code_btns {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1.9rem;
  margin-bottom: 2.7rem;
}

.serial-number .code_btn {
  width: 39.4%;
  text-align: center;
  font-size: 2rem;
  font-weight: 500;
  letter-spacing: 0.08rem;
}

.serial-number .code_btn a {
  color: #FFF;
  cursor: pointer;
  opacity: 1;
  transition: opacity 0.1s ease-out;
}

.serial-number .code_btn.active a {
  color: #ffe505;
  border-bottom: 1px solid #ffe505;
}

.serial-number .no-serial span {
  width: 100%;
  font-size: 2.4rem;
  letter-spacing: 1px;
  font-weight: 400;
  color: #FFF;
  text-align: center;
}

.serial-number .tab-page .serial-table {
  margin: 0 auto;
  width: 82.9%;
  margin-top: -0.6rem;
  border-collapse: collapse;
  overflow: hidden;
}

.serial-number .tab-page thead {
  background: #a03333;
  color: #FFF;
}

.serial-number .tab-page.code-details thead tr,
.serial-number .tab-page.code-details tbody tr,
.serial-number .tab-page.exchange-record thead tr,
.serial-number .tab-page.exchange-record tbody tr {
  border: 1px solid #FFF;
  line-height: 5rem;
}

.serial-number .tab-page.code-details thead th,
.serial-number .tab-page.code-details tbody td {
  width: 50%;
  /* line-height: 5rem; */
}

.serial-number .tab-page.code-details tbody tr:nth-child(even) {
  background: #ffffff25;
}

.serial-number .tab-page.code-details thead tr th,
.serial-number .tab-page.code-details tbody td,
.serial-number .tab-page.exchange-record tbody td {
  border: none;
  font-size: 2rem;
  color: #FFF;
  font-weight: 300;
  letter-spacing: 0;
  text-align: center;
}

.serial-number .tab-page.exchange-record tbody td {
  font-size: 1.8rem;
  font-weight: 400;
  vertical-align: middle;
}

.serial-number .tab-page.exchange-record tbody td:nth-child(2) {
  text-align: left;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.serial-number .tab-page.exchange-record tbody td:nth-child(2).small-text {
  font-size: 1.4rem;
}


.serial-number .tab-page.exchange-record tbody td:nth-child(3) {
  text-align: left;
  color: #fff100;
}

.serial-number .tab-page.exchange-record tbody td:nth-child(4) {
  line-height: 1.7rem;
}

.serial-number .tab-page.exchange-record tbody td:nth-child(4) .status-subtext {
  font-size: 1.2rem;
  color: #fff100;
}

.row-fadein {
  opacity: 0;
  transform: translateY(10px);
  animation: fadeInUpRow .5s forwards;
}

.serial-number .tab-page.exchange-record thead tr th {
  font-size: 2.11rem;
}

.serial-number .tab-page.exchange-record thead tr th:nth-child(1) {
  width: 22.5%;
}

.serial-number .tab-page.exchange-record thead tr th:nth-child(2) {
  width: 42%;
}

.serial-number .tab-page.exchange-record thead tr th:nth-child(3) {
  width: 8%;
}

.serial-number .tab-page.exchange-record thead tr th:nth-child(4) {
  flex: 1;
}

.serial-number .hidden {
  display: none !important;
  /* 使用 !important 確保覆蓋其他樣式 */
}

@keyframes fadeInUpRow {
  0% {
    opacity: 0;
    transform: translateY(10px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 按鈕區域 */
.serial-number .btns {
  margin-top: 4.5rem;
  letter-spacing: 0.2rem;
}

.serial-number .btns a {
  margin: 0 9rem;
  width: 9.36rem;
  font-weight: 400;
}

/* ------------------------------------------------------------ */
/* 專門For Tablet設定 */
@media (max-width: 1024px) {
  .serial-number .general-content {
    margin-top: 0;
  }

  .serial-number .user-content {
    display: flex;
    flex-direction: column-reverse;

  }

  /* list + exchange */
  .serial-number .code_btns {
    position: relative;
    margin-top: 2rem;
    margin-bottom: 2.7rem;
  }

  .serial-number .code_btns::after {
    content: "";
    position: absolute;
    left: calc(50% - 0rem);
    bottom: -17px;
    width: calc(80% - -4.4rem);
    height: 1px;
    background-color: #fff;
    transform: translate(-50%);
  }

  .serial-number .code_btn {
    width: 39.4%;
    font-size: 2.4rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
  }

  .serial-number .code_btn.active a {
    color: #ffde00;
    border-bottom: none;
  }

  .serial-number .tab-page .serial-table {
    width: 85%;
    border-spacing: 0 0.7rem;
    margin-top: 0.5rem;
  }

  .serial-number .tab-page thead {
    background: #000;
    color: #FFF;
  }

  .serial-number .tab-page.exchange-record thead {
    background: none;
    color: #FFF;
  }

  .serial-number .tab-page.code-details thead tr,
  .serial-number .tab-page.code-details tbody tr {
    border: none;
    display: flex;
    align-items: center;
  }

  .serial-number .tab-page.exchange-record thead tr {
    border: none;
    border-bottom: 1px solid #FFF;
  }

  .serial-number .tab-page.exchange-record tbody tr {
    border: none;
  }

  .serial-number .tab-page.code-details thead th,
  .serial-number .tab-page.code-details tbody td {
    width: 50%;
  }

  .serial-number .tab-page.code-details tbody tr:nth-child(odd) {
    background: #0000004f;
  }

  .serial-number .tab-page.code-details tbody tr:nth-child(even) {
    background: #de00005d;
  }

  .serial-number .tab-page.code-details thead tr th,
  .serial-number .tab-page.code-details tbody td {
    font-size: 2.4rem;
    font-weight: 500;
    letter-spacing: 0.1rem;
    height: 6rem;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .serial-number .tab-page.exchange-record thead tr th,
  .serial-number .tab-page.exchange-record tbody td {
    font-size: 2.4rem;
    font-weight: 400;
    letter-spacing: 0.1rem;
    height: 6.5rem;
  }

  .serial-number .tab-page.code-details thead tr,
  .serial-number .tab-page.code-details tbody tr {
    border-bottom: 1px solid #FFF;
  }

  .serial-number .tab-page.code-details thead th+th,
  .serial-number .tab-page.code-details tbody td+td,
  .serial-number .tab-page.exchange-record thead th:not(:first-child):not(:nth-child(3)),
  .serial-number .tab-page.exchange-record tbody td:not(:first-child):not(:nth-child(3)) {
    border-left: 1px solid #FFF;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(2).small-text {
    font-size: 2rem;
    line-height: normal;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(3) {
    text-align: right;
    padding-right: 1rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(3) .lottery-wrap {
    background: #ff0008;
    color: #FFF;
    padding: 0.2rem 0.8rem;
    line-height: normal;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(2) {
    padding-left: 2rem;
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(1) {
    width: 24%;
    /* padding-top: 1.5rem; */
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(2) {
    width: 35%;
    padding-left: 11rem;
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(3) {
    width: 14%;
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(4) {
    flex: 1;
  }

  /* 按鈕區域 */
  .serial-number .btns {
    margin-top: 9.5rem;
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
  }

  .serial-number .tab-page.exchange-record .btns {
    margin-top: 6.5rem;
  }

  .serial-number .btns a {
    font-size: 2.5rem;
    letter-spacing: 1rem;
    text-indent: 1rem;
    margin: 0 2rem;
    width: 18rem;
    font-weight: 400;
    padding: 0.5rem 0 0.8rem 0;
  }

}


/* ------------------------------------------------------------ */
/* 專門For Ｍobile設定 */
@media (max-width: 640px) {
  .serial-number .general {
    padding-top: 2.5rem;
  }

  .serial-number .code_btns::after {
    width: calc(100% - 0rem);
  }

  .serial-number .tab-page .serial-table {
    width: 100%;
  }

  .serial-number .tab-page.code-details thead tr th,
  .serial-number .tab-page.code-details tbody td,
  .serial-number .tab-page.exchange-record thead tr th,
  .serial-number .tab-page.exchange-record tbody td {
    font-size: 1.8rem;
    height: 5.5rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(3) {
    font-size: 1.8rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(2) {
    font-size: 2rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(2).small-text {
    font-size: 1.7rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(2) {
    padding-left: 1rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(3) .lottery-wrap {
    padding: 0.1rem 0.5rem;
    font-size: 1.7rem;
    /* line-height: normal; */
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(4).small-status {
    font-size: 1.6rem;
  }

  .serial-number .tab-page.exchange-record tbody td:nth-child(4) .status-subtext {
    font-size: 1.1rem;
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(1) {
    width: 21%;
    padding-top: 0;
  }

  .serial-number .tab-page.exchange-record thead tr th:nth-child(2) {
    width: 40%;
    padding-left: 7rem;
  }


  .serial-number .tab-page.exchange-record thead tr th:nth-child(3) {
    width: 12%;
  }

  /* 按鈕區域 */
  .serial-number .btns {
    margin-top: 5rem;
  }

  .serial-number .tab-page.exchange-record .btns {
    margin-top: 5.5rem;
  }


}